Package icyllis.arc3d.engine

# Class ImageProxyView

java.lang.Object
icyllis.arc3d.engine.ImageProxyView

All Implemented Interfaces:
  `AutoCloseable`

public class ImageProxyView extends Object implements AutoCloseable
Surface views contain additional metadata for pipeline operations on surfaces. This class is a tuple of `SurfaceProxy`, SurfaceOrigin and Swizzle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageProxyView(@SharedPtr ImageViewProxy proxy)`
  `ImageProxyView(@SharedPtr ImageViewProxy proxy, int origin, short swizzle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Destructs this view.
  `void`
  `concat(short swizzle)`
  Concat swizzle.
  `@SharedPtr ImageViewProxy`
  `detachProxy()`
  This does not reset the origin or swizzle, so the view can still be used to access those properties associated with the detached proxy.
  `int`
  `getHeight()`
  `int`
  `getOrigin()`
  `@RawPtr ImageViewProxy`
  `getProxy()`
  Returns smart pointer value (raw ptr).
  `short`
  `getSwizzle()`
  `int`
  `getWidth()`
  `boolean`
  `isMipmapped()`
  `@SharedPtr ImageViewProxy`
  `refProxy()`
  Returns a smart pointer (as if on the stack).
  `void`
  `reset()`
  Recycle this view.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImageProxyView

    public ImageProxyView(@SharedPtr @SharedPtr ImageViewProxy proxy)

  - ### ImageProxyView

    public ImageProxyView(@SharedPtr @SharedPtr ImageViewProxy proxy, int origin, short swizzle)

- ## Method Details

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### isMipmapped

    public boolean isMipmapped()

  - ### getProxy

    @RawPtr public @RawPtr ImageViewProxy getProxy()
    Returns smart pointer value (raw ptr).

  - ### refProxy

    @SharedPtr public @SharedPtr ImageViewProxy refProxy()
    Returns a smart pointer (as if on the stack).

  - ### detachProxy

    @SharedPtr public @SharedPtr ImageViewProxy detachProxy()
    This does not reset the origin or swizzle, so the view can still be used to access those properties associated with the detached proxy.

  - ### getOrigin

    public int getOrigin()
    See Also:
      - `Engine.SurfaceOrigin`

  - ### getSwizzle

    public short getSwizzle()
    See Also:
      - `Swizzle`

  - ### concat

    public void concat(short swizzle)
    Concat swizzle.

  - ### reset

    public void reset()
    Recycle this view.

  - ### close

    public void close()
    Destructs this view.
    Specified by:
      `close` in interface `AutoCloseable`